<?php
if(!isset($_SESSION)){
    
    session_start();

}

if(
	isset($_GET["par1"]) && $_GET["par1"] != ""
) {	
	
	// Variables recibidas correctamente, sanitizamos las  variables
	$paraPadreId = filter_var($_GET["par1"], FILTER_SANITIZE_NUMBER_INT);
	$paraId 	 = filter_var($_GET["par2"], FILTER_SANITIZE_NUMBER_INT);

	if ($paraId == 0){
		$codigo 	= '';
		$descripcion= '';
		$estado 	= '';
		$registros 	= 0;
		$titulo 	= "Ingresar ítem";
		$boton 		= "Ingresar";
	} else {	
		require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Parametro.Class.php');
		$parametro_obj 	= new Parametro(null);
		$parametro_inf 	= $parametro_obj->informacionParametro(  $paraPadreId, $paraId, null, 0);
		$parametro_obj->Close();
		$codigo 		= $parametro_inf['para_codigo'];
		$descripcion 	= $parametro_inf['para_nombre'];
		$estado			= $parametro_inf['para_estado_formato'];
		$registros  	= $parametro_inf['para_registros'];
		
		$titulo 	= "Modificar ítem";
		$boton		= 'Modificar';
	}?>
	<script type="text/javascript" src="/js/parametros/parametrosCargar.js"></script>
	<form name="frm_parametro" id="frm_parametro" method="post">
		<input value="<?php echo $paraPadreId;?>" type="hidden" id="txt_padre" name="txt_padre">
		<input value="<?php echo $paraId;?>" type="hidden" id="txt_modificar" name="txt_modificar">
		<div class="modal-header">
			<h5 class="modal-title" id="md_modal_titulo"><?php echo $titulo;?></h5>
			<button aria-label="Close" class="close" data-dismiss="modal" type="button"><span aria-hidden="true"> &times;</span></button>
		</div>	
		<div class="modal-body" id="md_modal_content"><?php 
			if($paraPadreId == 105000){?>
				<div class="form-group row">
					<label class="col-form-label col-sm-2" >Código<span style="color:red;">*</span></label>
					<div class="col-sm-5">
					<input <?php
							if($registros > 0) echo 'readonly';?> class="form-control" placeholder="Código" type="text" 
							value="<?php echo $codigo;?>" id="txt_codigo" name="txt_codigo">
					</div>
				</div><?php 
			}?>
			<div class="form-group row">
				<label class="col-form-label col-xs-12 col-sm-2"> Descripcion<span style="color:red;">*</span></label>
				<div class="col-xs-12 col-sm-10">
					<input <?php
						if($registros > 0)
							echo 'readonly';?> class="form-control" placeholder="Descripción" 
						value="<?php echo $descripcion;?>" maxlength="100"
						id="txt_descripcion" name="txt_descripcion">
				</div>
			</div>
			<div class="form-group row"><?php 
				if (strlen($estado) > 0) {?>				
					<label class="col-form-label col-sm-2"> Estado<span style="color:red;">*</span></label>
					<div class="col-sm-4">
						<select name="cmb_estado" id="cmb_estado" class="form-control" >
							<option value="1" <?php 
								echo ($estado == 'Activo')? 'selected' : '';?>>Activo</option>
							<option value="0" <?php 
								echo ($estado == 'Inactivo')? 'selected' : '';?>>Inactivo</option>
						</select>
					</div><?php
				}?>			
			</div>
			<div class="modal-footer">
				<button class="btn btn-primary" type="submit" id="btn_guardar" name="btn_guardar"><i class="picons-thin-icon-thin-0002_write_pencil_new_edit"></i> <?php echo $boton;?></button>
				<button class="btn btn-secondary" data-dismiss="modal" type="button"><i class="picons-thin-icon-thin-0153_delete_exit_remove_close"></i> Cerrar</button>
			</div>					
		</div>
		
	</form><?php

	
	
} else{		

	echo 'Los parámetros recibidos NO son válidos';
	
}
?>